V3000Rdr
Date: 2019-10-22

org.jmol.adapter.readers.molxyz

## Class V3000Rdr

- java.lang.Object
- - org.jmol.adapter.readers.molxyz.V3000Rdr

-     public class V3000Rdr
      extends java.lang.Object

  A reader for Accelrys V3000 files.

  http://www.mdli.com/downloads/public/ctfile/ctfile.jsp

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `line`
    `private MolReader` | `mr`
    `private java.util.Map<java.lang.String,java.lang.String[]>` | `userData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `V3000Rdr()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `checkLineContinuation()`
    `private java.lang.String` | `getField(java.lang.String key)`
    `private java.lang.String` | `rd()`
    `private void` | `readAtoms(int ac)`
    `(package private) void` | `readAtomsAndBonds(java.lang.String[] tokens)`
    `private void` | `readBonds(int bondCount)`
    `private void` | `readUserData(int ac)`
    `(package private) V3000Rdr` | `set(AtomSetCollectionReader mr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mr

          private MolReader mr

    - #### line

          private java.lang.String line

    - #### userData

          private java.util.Map<java.lang.String,java.lang.String[]> userData

  - ### Constructor Detail

    - #### V3000Rdr

          public V3000Rdr()

  - ### Method Detail

    - #### set

          V3000Rdr set(AtomSetCollectionReader mr)

    - #### readAtomsAndBonds

          void readAtomsAndBonds(java.lang.String[] tokens)
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readAtoms

          private void readAtoms(int ac)
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readBonds

          private void readBonds(int bondCount)
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readUserData

          private void readUserData(int ac)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getField

          private java.lang.String getField(java.lang.String key)

    - #### rd

          private java.lang.String rd()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### checkLineContinuation

          private void checkLineContinuation()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`